Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.localsearch.event
Interface LocalSearchSolverPhaseLifecycleListener

All Superinterfaces:
  EventListener, SolverLifecycleListener

All Known Subinterfaces:
  Acceptor, DeciderScoreComparatorFactory, Forager

All Known Implementing Classes:
  AbstractAcceptor, AbstractDeciderScoreComparatorFactory, AbstractForager, AbstractTabuAcceptor, AcceptedForager, CompositeAcceptor, DefaultLocalSearchSolverPhase, EntityTabuAcceptor, GreatDelugeAcceptor, HillClimbingAcceptor, LateAcceptanceAcceptor, LateSimulatedAnnealingAcceptor, LegacySimulatedAnnealingAcceptor, LocalSearchSolverPhaseLifecycleListenerAdapter, MoveTabuAcceptor, NaturalDeciderScoreComparatorFactory, ShiftingHardPenaltyDeciderScoreComparatorFactory, SimulatedAnnealingAcceptor, SolutionTabuAcceptor, ValueTabuAcceptor

    public interface LocalSearchSolverPhaseLifecycleListener

extends SolverLifecycleListener

Method Summary
`void` | `phaseEnded(LocalSearchSolverPhaseScope phaseScope)`
`void` | `phaseStarted(LocalSearchSolverPhaseScope phaseScope)`
`void` | `stepEnded(LocalSearchStepScope stepScope)`
`void` | `stepStarted(LocalSearchStepScope stepScope)`

Methods inherited from interface org.optaplanner.core.impl.solver.event.SolverLifecycleListener
`solvingEnded, solvingStarted`

Method Detail

### phaseStarted

    void phaseStarted(LocalSearchSolverPhaseScope phaseScope)

### stepStarted

    void stepStarted(LocalSearchStepScope stepScope)

### stepEnded

    void stepEnded(LocalSearchStepScope stepScope)

### phaseEnded

    void phaseEnded(LocalSearchSolverPhaseScope phaseScope)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.